package ru.yandex.direct.api.v5.ws;

import ru.yandex.direct.api.v5.ApiErrorCodes;
import ru.yandex.direct.api.v5.ApiFaultTranslations;
import ru.yandex.direct.core.TranslatableException;

public class MessageCreationApiException extends TranslatableException {
    public MessageCreationApiException(Throwable cause) {
        super(cause, ApiErrorCodes.BAD_REQUEST, ApiFaultTranslations.INSTANCE.incorrectRequest(),
                ApiFaultTranslations.INSTANCE.detailedUnableToParse());
    }
}
